<div class="c-text-media c-text-media--{{ modifier }} {{ spaceAfter }}">

    {% if noHeader %}
        <!-- no headline set -->
    {% else %}
        <h2 class="c-text-media__headline u-typo:xl">{% if linkedHeadline %}<a href="#">{% endif %}{{ title }}{% if linkedHeadline %}</a>{% endif %}</h2>
    {% endif %}
    {% if h3Header %}
        <h3 class="c-text-media__headline u-typo:l">{{ title }}</h3>
    {% endif %}
    {% if h4Header %}
        <h4 class="c-text-media__headline u-typo:m">{{ title }}</h4>
    {% endif %}


    <div class="c-text-media__image">
        {% if imageSmall %}
            {% include '@image--16x9-small' %}
        {% else %}
            {% include '@image--16x9' %}
        {% endif %}
    </div>
    <div class="c-text-media__text">
        <p>{{ textS }}</p>
        <p>{{ textM }}</p>
        <p>{{ textL }}</p>
        <p>{{ textL }}</p>
    </div>

</div>
